Package sudoku.solver

# Interface Solver

All Known Implementing Classes:
  `BacktrackingSolver`, `HumanSolver`, `MixedSolver`, `RandomSolver`, `StupidSolver`

public interface Solver

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final Logger`
  `logger`
  Log du Solver, qui garde trace des actions réalisées.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `default void`
  `addStep(Cell cell, List<SolverStep> steps)`
  Méthode utilisée en interne afin de rajouter une étape si l'utilisateur le souhaite (steps non null)
  `default int`
  `countSolution(MultiDoku doku)`
  Compte le nombre de solutions possibles au MultiDoku passé en paramètres.
  `default boolean`
  `solve(MultiDoku doku)`
  `boolean`
  `solve(MultiDoku doku, List<SolverStep> solverSteps)`

- ## Field Details

  - ### logger

    static final Logger logger
    Log du Solver, qui garde trace des actions réalisées.

- ## Method Details

  - ### solve

    boolean solve(MultiDoku doku, List<SolverStep> solverSteps)

  - ### solve

    default boolean solve(MultiDoku doku)

  - ### countSolution

    default int countSolution(MultiDoku doku)
    Compte le nombre de solutions possibles au MultiDoku passé en paramètres.
    Parameters:
      `doku` - MultiDoku, MultiDoku dont on veut le nombre de solutions.
    Returns:
      int, nombre de solutions possibles.

  - ### addStep

    default void addStep(Cell cell, List<SolverStep> steps)
    Méthode utilisée en interne afin de rajouter une étape si l'utilisateur le souhaite (steps non null)
    Parameters:
      `cell` - la cellule qui a été modifiée
      `steps` - la liste d'étape à mettre à jour